<?php

namespace plugin\ticket\model;

use think\admin\Model;

class TicketUserShareLog extends Model
{
    protected $table = 'ticket_user_share_log';
    protected $append = ['op_name_with_result'];

    public function getOpNameWithResultAttr($value, $data)
    {
        return $data['op_name'] . ($data['result'] ? " - {$data['result']}" : '');
    }

    public function userShare()
    {
        return $this->belongsTo(TicketUserShare::class, 'us_id', 'id');
    }
}