<?php

namespace plugin\points_mall\model;

use plugin\account\model\PluginAccountBind;
use think\admin\Model;

class PointsMallOrderSender extends Model
{

    public function user() {
        return $this->hasOne(PluginAccountBind::class, 'id', 'unid');
    }
    /**
     * 关联订单数据
     * @return \think\model\relation\HasOne
     */
    public function main()
    {
        return $this->hasOne(PointsMallOrder::class, 'order_no', 'order_no')->with(['items']);
    }

    public function setExtraAttr($value) {
        return json_encode($value);
    }

    public function getExtraAttr($value) {
        return json_decode($value, true);
    }
}